/* gombok kerekítése */
a.add_to_cart_button,
button.single_add_to_cart_button,
a.wc-block-components-button,
button.button[name="update_cart"],
.wc-proceed-to-checkout a.checkout-button.button,
button#place_order {
    border-radius: 10px !important;
}

/* képek kerekítése */
img {
    border-radius: 5px !important;
}

/* flash animáció */
a.add_to_cart_button,
button.single_add_to_cart_button {
    position: relative !important;
    overflow: hidden !important;
}
a.add_to_cart_button::before,
button.single_add_to_cart_button::before,
a.add_to_cart_button::after,
button.single_add_to_cart_button::after {
    content: '';
    position: absolute;
    width: 100px;
    height: 300%;
    top: 50%;
    right: 150%;
    transform: translateY(-50%) rotate(22.5deg);
    background-image: linear-gradient(68.8deg, #fff0, #fff);
}
a.add_to_cart_button::before,
button.single_add_to_cart_button::before {
    animation: customButtonFlash 15s ease-in-out 3s infinite;
}
a.add_to_cart_button:hover::after,
button.single_add_to_cart_button:hover::after {
    right: -150%;
    transition: all 1.5s ease-in-out;
}
@keyframes customButtonFlash {
    0% {
        right: 150%;
    }
    10% {
        right: -150%;
    }
    100% {
        right: -150%;
    }
}